Bug 1798448 - Images from private repo are used in the default csi-snapshot-controller-operator deployment
Summary: Images from private repo are used in the default csi-snapshot-controller-oper...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.4
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.4.0
Assignee: Jan Safranek
QA Contact: Liang Xia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-05 11:44 UTC by Jan Safranek
Modified: 2020-05-04 11:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 11:33:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-csi-snapshot-controller-operator pull 28 0 None open Bug 1798448: Use Origin images from quay.io/openshift 2020-02-11 14:56:32 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:34:25 UTC

Description Jan Safranek 2020-02-05 11:44:11 UTC
Our default Deployment of csi-snapshot-controller-operator uses these images:

quay.io/jsafrane/csi-snapshot-operator
quay.io/k8scsi/snapshot-controller

It should use images from quay.io/openshift, so people who install the operator manually (without CVO) get the latest public image.

Comment 1 Jan Safranek 2020-02-05 11:46:27 UTC
Note that CVO / release automation changes these images to something like "quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:f83a3ce0a7a78dfb81684fe21c449573006b8bcb9b78d275910acc4b1ded4f69", so OCP customers won't ever see quay.io/jsafrane/csi-snapshot-operator running. They will always see the right operator and snapshot-controller shipped with OCP!

This bug is just for the manual installation of the operator, e.g.: oc create -f manifests/

Comment 3 Liang Xia 2020-02-13 02:57:14 UTC
Verified the deployment is using OKD images, and the images are usable.

Comment 5 errata-xmlrpc 2020-05-04 11:33:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.